Tests
Deactivate test entity
Deactivates a single test item (test entity). There may be a delay in the deactivation of the test entity until the next test run. Use the /vulnerabilities/deactivate endpoint for vulnerabilities.
POST
/
tests
/
{testId}
/
entities
/
{entityId}
/
deactivate
Deactivate test entity
curl --request POST \
--url https://api.vanta.com/v1/tests/{testId}/entities/{entityId}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deactivateReason": "<string>",
"deactivateUntilDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.vanta.com/v1/tests/{testId}/entities/{entityId}/deactivate"
payload = {
"deactivateReason": "<string>",
"deactivateUntilDate": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deactivateReason: '<string>', deactivateUntilDate: '2023-11-07T05:31:56Z'})
};
fetch('https://api.vanta.com/v1/tests/{testId}/entities/{entityId}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
202
Deactivation request accepted
Was this page helpful?
Previous
Reactivate test entityReactivates a single tested item (test entity).
There may be a delay in the reactivation of the test entity until the next test run.
Use the /vulnerabilities/reactivate endpoint for vulnerabilities.
Next
⌘I
Deactivate test entity
